Subject: AP firmware for TI wl1251 wifi chip (wl1251-fw-ap.bin)

From: Pali Rohár <[email-masked]>
Date: Sun, 20 Mar 2016 00:40:25 +0100

Hi!

In linux-firmware repository [1] is missing AP firmware for TI wl1251 
chip. There is only STA firmware wl1251-fw.bin which supports managed 
and ad-hoc modes.

For other TI wilink chips there are <CHIP>-ap.bin firmware files 
(wl1271-fw-ap.bin and wl128x-fw-ap.bin) which support AP mode. But for 
wl1251 firmware file with guessed name "wl1251-fw-ap.bin" is missing.

Do you have any idea what happened with AP firmware for ti wilink4 
wl1251 wifi chip? Or where can be found? Guys from TI, can you help?

I see that STA firmware was added into linux-firmware tree in year 2013 
by this pull request [2].

[1] - https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/tree/ti-connectivity

[2] - http://thread.gmane.org/gmane.linux.kernel/1566500/focus=1571382

-- 
Pali Rohár
[email-masked]